
Name: app-application-filter
Epoch: 1
Version: 2.3.3
Release: 1%{dist}
Summary: Application Filter
License: GPLv3
Group: Applications/Apps
Packager: eGloo
Vendor: eGloo
Source: %{name}-%{version}.tar.gz
Buildarch: noarch
Requires: %{name}-core = 1:%{version}-%{release}
Requires: app-base
Requires: app-network
Requires: theme-clearos-admin >= 7.1.18

%description
Take control of unwanted traffic on your network.  The Application Filter can detect and block apps like Facebook, Netflix, Snapchat, and many others.

%package core
Summary: Application Filter - API
License: LGPLv3
Group: Applications/API
Requires: app-base-core
Requires: app-firewall-core
Requires: app-network-core
Requires: app-netify-core >= 1:2.3.0
Requires: app-netify-fwa-core >= 1:2.3.0

%description core
Take control of unwanted traffic on your network.  The Application Filter can detect and block apps like Facebook, Netflix, Snapchat, and many others.

This package provides the core API and libraries.

%prep
%setup -q
%build

%install
mkdir -p -m 755 %{buildroot}/usr/clearos/apps/application_filter
cp -r * %{buildroot}/usr/clearos/apps/application_filter/


%post
logger -p local6.notice -t installer 'app-application-filter - installing'

%post core
logger -p local6.notice -t installer 'app-application-filter-api - installing'

if [ $1 -eq 1 ]; then
    [ -x /usr/clearos/apps/application_filter/deploy/install ] && /usr/clearos/apps/application_filter/deploy/install
fi

[ -x /usr/clearos/apps/application_filter/deploy/upgrade ] && /usr/clearos/apps/application_filter/deploy/upgrade

exit 0

%preun
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-application-filter - uninstalling'
fi

%preun core
if [ $1 -eq 0 ]; then
    logger -p local6.notice -t installer 'app-application-filter-api - uninstalling'
    [ -x /usr/clearos/apps/application_filter/deploy/uninstall ] && /usr/clearos/apps/application_filter/deploy/uninstall
fi

exit 0

%files
%defattr(-,root,root)
/usr/clearos/apps/application_filter/controllers
/usr/clearos/apps/application_filter/htdocs
/usr/clearos/apps/application_filter/views

%files core
%defattr(-,root,root)
%exclude /usr/clearos/apps/application_filter/packaging
%exclude /usr/clearos/apps/application_filter/unify.json
%dir /usr/clearos/apps/application_filter
/usr/clearos/apps/application_filter/deploy
/usr/clearos/apps/application_filter/language
/usr/clearos/apps/application_filter/libraries
